Bug 1831682 - [ansible-runner-service] : auto generated ssh_key permission hindering users to use ceph-ansible for day-2 operations [NEEDINFO]
Summary: [ansible-runner-service] : auto generated ssh_key permission hindering users ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Installer
Version: 4.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2
Assignee: Timothy Asir
QA Contact: Ameena Suhani S H
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-05 13:34 UTC by Vasishta
Modified: 2021-01-12 14:56 UTC (History)
13 users (show)

Fixed In Version: ansible-runner-service-0.9-5.el8cp
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-12 14:55:59 UTC
Target Upstream Version:
asakthiv: needinfo? (tjeyasin)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ansible ansible-runner-service pull 64 0 None closed utils: fix permissions assigned to public key 2021-01-27 05:33:26 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:56:57 UTC

Description Vasishta 2020-05-05 13:34:45 UTC
Description of problem:
Users those who used non-root user as cockpit user in n-1 version to configure ceph cluster and wants to upgrade cluster to nth version using ceph-ansible, permission of auto generation ssh-key would hinder user.


How reproducible:
Always (tried twice)

Steps to Reproduce:
1. Configure n-1 version of ceph using cockpit-ceph-installer
2. Try to upgrade cluster to nth version using ceph-ansible

Actual results:
ansible fails to reach hosts over ssh

Expected results:
ansible user should be able to reach hosts easily

Comment 1 Paul Cuzner 2020-06-14 21:57:24 UTC
Moving out of 4.1z1

Comment 18 errata-xmlrpc 2021-01-12 14:55:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.